Package org.firebirdsql.gds.ng.wire.crypt.chacha

## Class ChaChaEncryptionPluginSpi

- java.lang.Object
- - org.firebirdsql.gds.ng.wire.crypt.chacha.ChaChaEncryptionPluginSpi

All Implemented Interfaces:
  `EncryptionPluginSpi`

    public class ChaChaEncryptionPluginSpi
    extends java.lang.Object
    implements EncryptionPluginSpi

ChaCha (ChaCha-20) encryption plugin provider

Since:
  5
Author:
  Mark Rotteveel

### Constructor Summary

Constructors
`ChaChaEncryptionPluginSpi()`

### Method Summary

All Methods Instance Methods Concrete Methods
`EncryptionPlugin` `createEncryptionPlugin​(CryptSessionConfig cryptSessionConfig)` Creates the encryption plugin for the provided crypt session config.
`EncryptionIdentifier` `getEncryptionIdentifier()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChaChaEncryptionPluginSpi

    public ChaChaEncryptionPluginSpi()

### Method Detail

#### getEncryptionIdentifier

    public EncryptionIdentifier getEncryptionIdentifier()

Specified by:
  `getEncryptionIdentifier` in interface `EncryptionPluginSpi`
Returns:
  Encryption identifier

#### createEncryptionPlugin

    public EncryptionPlugin createEncryptionPlugin​(CryptSessionConfig cryptSessionConfig)

Description copied from interface: `EncryptionPluginSpi`
Creates the encryption plugin for the provided crypt session config.

Specified by:
  `createEncryptionPlugin` in interface `EncryptionPluginSpi`
Parameters:
  `cryptSessionConfig` - Crypt session config
Returns:
  Encryption plugin